﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek AFG300 (1 yr) Amplitude VER IEEE /DMM
INSTRUMENT:            Sub Tek AFG300 (1 yr) DC Voltage Acc VER IEEE /DMM
DATE:                  2010-11-08 10:32:32
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       52
NUMBER OF LINES:       719
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        AFG 310, 320
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Initialize /DMM
#        Sub Reset /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@DMM]
  1.003  ENDIF

  1.004  CALL         Sub Initialize /DMM

  1.005  JMPL         AMPLITUDE                    PSUB("Amplitude")
  1.006  JMPL         DCV                          PSUB("Voltage")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment step number

# ============ Sub Tek AFG300 (1 yr) Amplitude VER IEEE /DMM ===========

  2.001  LABEL        AMPLITUDE

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  HEAD         {AMPLITUDE TEST}, CH [V @Chan]
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V @Chan]
  2.008  RSLT         =
  2.009  RSLT         =Sine Wave Output

  2.010  HEAD         -2 10 VPP, 1 kHz Sine
  2.011  MATH         @DMM_Func = "AC_Voltage"
  2.012  TARGET       -p
  2.013  IEEE2        *RST
  2.014  CALL         Sub Reset /DMM
  2.015  CALL         Sub Setup /DMM
  2.016  DISP         Connect the UUT Output CH [V @Chan] to [V @DMM_DevName]
  2.016  DISP         [V @DMM_InputHi] and [V @DMM_InputLo] terminals, via a
  2.016  DISP         BNC female to double stacking banana plug and BNC(m)-(m)
  2.016  DISP         50 Ohm cable and 50 Ohms feed through terminator.
# Set the output of UUT.
  2.017  IEEE2        SOUR[V @Chan]:FUNC:SHAP SIN
  2.018  IEEE2        SOUR[V @Chan]:FREQ:CW 1KHz
  2.019  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 10V
  2.020  IEEE2        OUTP[V @Chan]:STAT ON
  2.021  TARGET       -m
  2.022  CALL         Sub Read /DMM
  2.023  MATH         @DMM_Freq = 1000
  2.024  CALL         Sub Get Accuracy /DMM
  2.025  MATH         MEM = FMT(@DMM_Meas, "%.3f")
  2.026  MATH         L[2] = @DMM_Acc
  2.027  ACC          V              L2U
  2.028  MEMC         3.535V         0.037U

  3.001  HEAD         -2 7 VPP, 1 kHz Sine
  3.002  TARGET       -p
  3.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 7V
  3.004  IEEE2        OUTP[V @Chan]:STAT ON
  3.005  TARGET       -m
  3.006  CALL         Sub Read /DMM
  3.007  CALL         Sub Get Accuracy /DMM
  3.008  MATH         L[2] = @DMM_Acc
  3.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
  3.010  ACC          V              L2U
  3.011  MEMC         2.475V         0.026U

  4.001  HEAD         -2 5 VPP, 1 kHz Sine
  4.002  TARGET       -p
  4.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 5V
  4.004  IEEE2        OUTP[V @Chan]:STAT ON
  4.005  TARGET       -m
  4.006  CALL         Sub Read /DMM
  4.007  CALL         Sub Get Accuracy /DMM
  4.008  MATH         L[2] = @DMM_Acc
  4.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
  4.010  ACC          V              L2U
  4.011  MEMC         1.768V         0.019U

  5.001  HEAD         -2 3.5 VPP, 1 kHz Sine
  5.002  TARGET       -p
  5.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 3.5V
  5.004  IEEE2        OUTP[V @Chan]:STAT ON
  5.005  TARGET       -m
  5.006  CALL         Sub Read /DMM
  5.007  CALL         Sub Get Accuracy /DMM
  5.008  MATH         L[2] = @DMM_Acc
  5.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
  5.010  ACC          V              L2U
  5.011  MEMC         1.237V         0.014U

  6.001  HEAD         -2 2.5 VPP, 1 kHz Sine
  6.002  TARGET       -p
  6.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 2.5V
  6.004  IEEE2        OUTP[V @Chan]:STAT ON
  6.005  TARGET       -m
  6.006  CALL         Sub Read /DMM
  6.007  CALL         Sub Get Accuracy /DMM
  6.008  MATH         L[2] = @DMM_Acc
  6.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
  6.010  ACC          V              L2U
  6.011  MEMC         0.8839V        0.0106U

  7.001  HEAD         -2 1.75 VPP, 1 kHz Sine
  7.002  TARGET       -p
  7.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1.75V
  7.004  IEEE2        OUTP[V @Chan]:STAT ON
  7.005  TARGET       -m
  7.006  CALL         Sub Read /DMM
  7.007  CALL         Sub Get Accuracy /DMM
  7.008  MATH         L[2] = @DMM_Acc
  7.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
  7.010  ACC          V              L2U
  7.011  MEMC         0.6187V        0.0079U

  8.001  HEAD         -2 1 VPP, 1 kHz Sine
  8.002  TARGET       -p
  8.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1V
  8.004  IEEE2        OUTP[V @Chan]:STAT ON
  8.005  TARGET       -m
  8.006  CALL         Sub Read /DMM
  8.007  CALL         Sub Get Accuracy /DMM
  8.008  MATH         L[2] = @DMM_Acc
  8.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
  8.010  ACC          V              L2U
  8.011  MEMC         0.3535V        0.0053U

  9.001  HEAD         -2 0.7 VPP, 1 kHz Sine
  9.002  TARGET       -p
  9.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.7V
  9.004  IEEE2        OUTP[V @Chan]:STAT ON
  9.005  TARGET       -m
  9.006  CALL         Sub Read /DMM
  9.007  CALL         Sub Get Accuracy /DMM
  9.008  MATH         L[2] = @DMM_Acc
  9.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
  9.010  ACC          V              L2U
  9.011  MEMC         0.2475V        0.0042U

 10.001  HEAD         -2 0.5 VPP, 1 kHz Sine
 10.002  TARGET       -p
 10.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.5V
 10.004  IEEE2        OUTP[V @Chan]:STAT ON
 10.005  TARGET       -m
 10.006  CALL         Sub Read /DMM
 10.007  CALL         Sub Get Accuracy /DMM
 10.008  MATH         L[2] = @DMM_Acc
 10.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
 10.010  ACC          V              L2U
 10.011  MEMC         0.1768V        0.0035U

 11.001  HEAD         -2 0.35 VPP, 1 kHz Sine
 11.002  TARGET       -p
 11.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.35V
 11.004  IEEE2        OUTP[V @Chan]:STAT ON
 11.005  TARGET       -m
 11.006  CALL         Sub Read /DMM
 11.007  CALL         Sub Get Accuracy /DMM
 11.008  MATH         L[2] = @DMM_Acc
 11.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
 11.010  ACC          V              L2U
 11.011  MEMC         0.1238V        0.0029U

 12.001  HEAD         -2 0.25 VPP, 1 kHz Sine
 12.002  TARGET       -p
 12.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.25V
 12.004  IEEE2        OUTP[V @Chan]:STAT ON
 12.005  TARGET       -m
 12.006  CALL         Sub Read /DMM
 12.007  CALL         Sub Get Accuracy /DMM
 12.008  MATH         L[2] = @DMM_Acc
 12.009  MATH         MEM = FMT(@DMM_Meas, "%.5f")
 12.010  ACC          V              L2U
 12.011  MEMC         0.08839V       0.04639U

 13.001  HEAD         -2 0.05 VPP, 1 kHz Sine
 13.002  TARGET       -p
 13.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.05V
 13.004  IEEE2        OUTP[V @Chan]:STAT ON
 13.005  TARGET       -m
 13.006  CALL         Sub Read /DMM
 13.007  CALL         Sub Get Accuracy /DMM
 13.008  MATH         L[2] = @DMM_Acc
 13.009  MATH         MEM = FMT(@DMM_Meas, "%.5f")
 13.010  ACC          V              L2U
 13.011  MEMC         0.01768V       0.00194U

 14.001  RSLT         =
 14.002  RSLT         =Square Wave Output

 14.003  HEAD         -2 0.05 VPP, 1 kHz Square
 14.004  TARGET       -p
 14.005  IEEE2        SOUR[V @Chan]:FUNC:SHAP SQU
 14.006  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.05V
 14.007  IEEE2        OUTP[V @Chan]:STAT ON
 14.008  TARGET       -m
 14.009  CALL         Sub Read /DMM
 14.010  CALL         Sub Get Accuracy /DMM
 14.011  MATH         L[2] = @DMM_Acc
 14.012  MATH         MEM = FMT(@DMM_Meas, "%.5f")
 14.013  ACC          V              L2U
 14.014  MEMC         0.02500V       0.00250U

 15.001  HEAD         -2 0.1 VPP, 1 kHz Sine
 15.002  TARGET       -p
 15.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.1V
 15.004  IEEE2        OUTP[V @Chan]:STAT ON
 15.005  TARGET       -m
 15.006  CALL         Sub Read /DMM
 15.007  CALL         Sub Get Accuracy /DMM
 15.008  MATH         L[2] = @DMM_Acc
 15.009  MATH         MEM = FMT(@DMM_Meas, "%.5f")
 15.010  ACC          V              L2U
 15.011  MEMC         0.05000V       0.00300U

 16.001  HEAD         -2 0.125 VPP, 1 kHz Sine
 16.002  TARGET       -p
 16.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.125V
 16.004  IEEE2        OUTP[V @Chan]:STAT ON
 16.005  TARGET       -m
 16.006  CALL         Sub Read /DMM
 16.007  CALL         Sub Get Accuracy /DMM
 16.008  MATH         L[2] = @DMM_Acc
 16.009  MATH         MEM = FMT(@DMM_Meas, "%.5f")
 16.010  ACC          V              L2U
 16.011  MEMC         0.06250V       0.00312U

 17.001  HEAD         -2 0.25 VPP, 1 kHz Sine
 17.002  TARGET       -p
 17.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.25V
 17.004  IEEE2        OUTP[V @Chan]:STAT ON
 17.005  TARGET       -m
 17.006  CALL         Sub Read /DMM
 17.007  CALL         Sub Get Accuracy /DMM
 17.008  MATH         L[2] = @DMM_Acc
 17.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
 17.010  ACC          V              L2U
 17.011  MEMC         0.1250V        0.0037U

 18.001  HEAD         -2 0.35 VPP, 1 kHz Sine
 18.002  TARGET       -p
 18.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.35V
 18.004  IEEE2        OUTP[V @Chan]:STAT ON
 18.005  TARGET       -m
 18.006  CALL         Sub Read /DMM
 18.007  CALL         Sub Get Accuracy /DMM
 18.008  MATH         L[2] = @DMM_Acc
 18.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
 18.010  ACC          V              L2U
 18.011  MEMC         0.1750V        0.0042U

 19.001  HEAD         -2 0.5 VPP, 1 kHz Sine
 19.002  TARGET       -p
 19.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.5V
 19.004  IEEE2        OUTP[V @Chan]:STAT ON
 19.005  TARGET       -m
 19.006  CALL         Sub Read /DMM
 19.007  CALL         Sub Get Accuracy /DMM
 19.008  MATH         L[2] = @DMM_Acc
 19.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
 19.010  ACC          V              L2U
 19.011  MEMC         0.2500V        0.0050U

 20.001  HEAD         -2 0.7 VPP, 1 kHz Sine
 20.002  TARGET       -p
 20.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.7V
 20.004  IEEE2        OUTP[V @Chan]:STAT ON
 20.005  TARGET       -m
 20.006  CALL         Sub Read /DMM
 20.007  CALL         Sub Get Accuracy /DMM
 20.008  MATH         L[2] = @DMM_Acc
 20.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
 20.010  ACC          V              L2U
 20.011  MEMC         0.3500V        0.0060U

 21.001  HEAD         -2 1 VPP, 1 kHz Sine
 21.002  TARGET       -p
 21.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1V
 21.004  IEEE2        OUTP[V @Chan]:STAT ON
 21.005  TARGET       -m
 21.006  CALL         Sub Read /DMM
 21.007  CALL         Sub Get Accuracy /DMM
 21.008  MATH         L[2] = @DMM_Acc
 21.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
 21.010  ACC          V              L2U
 21.011  MEMC         0.5000V        0.0075U

 22.001  HEAD         -2 1.75 VPP, 1 kHz Sine
 22.002  TARGET       -p
 22.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1.75V
 22.004  IEEE2        OUTP[V @Chan]:STAT ON
 22.005  TARGET       -m
 22.006  CALL         Sub Read /DMM
 22.007  CALL         Sub Get Accuracy /DMM
 22.008  MATH         L[2] = @DMM_Acc
 22.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
 22.010  ACC          V              L2U
 22.011  MEMC         0.8750V        0.0112U

 23.001  HEAD         -2 2.5 VPP, 1 kHz Sine
 23.002  TARGET       -p
 23.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 2.5V
 23.004  IEEE2        OUTP[V @Chan]:STAT ON
 23.005  TARGET       -m
 23.006  CALL         Sub Read /DMM
 23.007  CALL         Sub Get Accuracy /DMM
 23.008  MATH         L[2] = @DMM_Acc
 23.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 23.010  ACC          V              L2U
 23.011  MEMC         1.250V         0.015U

 24.001  HEAD         -2 3.5 VPP, 1 kHz Sine
 24.002  TARGET       -p
 24.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 3.5V
 24.004  IEEE2        OUTP[V @Chan]:STAT ON
 24.005  TARGET       -m
 24.006  CALL         Sub Read /DMM
 24.007  CALL         Sub Get Accuracy /DMM
 24.008  MATH         L[2] = @DMM_Acc
 24.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 24.010  ACC          V              L2U
 24.011  MEMC         1.750V         0.020U

 25.001  HEAD         -2 5 VPP, 1 kHz Sine
 25.002  TARGET       -p
 25.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 5V
 25.004  IEEE2        OUTP[V @Chan]:STAT ON
 25.005  TARGET       -m
 25.006  CALL         Sub Read /DMM
 25.007  CALL         Sub Get Accuracy /DMM
 25.008  MATH         L[2] = @DMM_Acc
 25.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 25.010  ACC          V              L2U
 25.011  MEMC         2.500V         0.027U

 26.001  HEAD         -2 7 VPP, 1 kHz Sine
 26.002  TARGET       -p
 26.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 7V
 26.004  IEEE2        OUTP[V @Chan]:STAT ON
 26.005  TARGET       -m
 26.006  CALL         Sub Read /DMM
 26.007  CALL         Sub Get Accuracy /DMM
 26.008  MATH         L[2] = @DMM_Acc
 26.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 26.010  ACC          V              L2U
 26.011  MEMC         3.500V         0.037U

 27.001  HEAD         -2 10 VPP, 1 kHz Sine
 27.002  TARGET       -p
 27.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 10V
 27.004  IEEE2        OUTP[V @Chan]:STAT ON
 27.005  TARGET       -m
 27.006  CALL         Sub Read /DMM
 27.007  CALL         Sub Get Accuracy /DMM
 27.008  MATH         L[2] = @DMM_Acc
 27.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 27.010  ACC          V              L2U
 27.011  MEMC         5.000V         0.052U

 28.001  RSLT         =
 28.002  RSLT         =Triangle Wave Output

 28.003  HEAD         -2 10 VPP, 1 kHz Triangle
 28.004  TARGET       -p
 28.005  IEEE2        SOUR[V @Chan]:FUNC:SHAP TRI
 28.006  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 10V
 28.007  IEEE2        OUTP[V @Chan]:STAT ON
 28.008  TARGET       -m
 28.009  CALL         Sub Read /DMM
 28.010  CALL         Sub Get Accuracy /DMM
 28.011  MATH         L[2] = @DMM_Acc
 28.012  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 28.013  ACC          V              L2U
 28.014  MEMC         2.887V         0.030U

 29.001  HEAD         -2 7 VPP, 1 kHz Sine
 29.002  TARGET       -p
 29.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 7V
 29.004  IEEE2        OUTP[V @Chan]:STAT ON
 29.005  TARGET       -m
 29.006  CALL         Sub Read /DMM
 29.007  CALL         Sub Get Accuracy /DMM
 29.008  MATH         L[2] = @DMM_Acc
 29.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 29.010  ACC          V              L2U
 29.011  MEMC         2.021V         0.021U

 30.001  HEAD         -2 5 VPP, 1 kHz Sine
 30.002  TARGET       -p
 30.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 5V
 30.004  IEEE2        OUTP[V @Chan]:STAT ON
 30.005  TARGET       -m
 30.006  CALL         Sub Read /DMM
 30.007  CALL         Sub Get Accuracy /DMM
 30.008  MATH         L[2] = @DMM_Acc
 30.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 30.010  ACC          V              L2U
 30.011  MEMC         1.443V         0.016U

 31.001  HEAD         -2 3.5 VPP, 1 kHz Sine
 31.002  TARGET       -p
 31.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 3.5V
 31.004  IEEE2        OUTP[V @Chan]:STAT ON
 31.005  TARGET       -m
 31.006  CALL         Sub Read /DMM
 31.007  CALL         Sub Get Accuracy /DMM
 31.008  MATH         L[2] = @DMM_Acc
 31.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
 31.010  ACC          V              L2U
 31.011  MEMC         1.0104V        0.0115U

 32.001  HEAD         -2 2.5 VPP, 1 kHz Sine
 32.002  TARGET       -p
 32.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 2.5V
 32.004  IEEE2        OUTP[V @Chan]:STAT ON
 32.005  TARGET       -m
 32.006  CALL         Sub Read /DMM
 32.007  CALL         Sub Get Accuracy /DMM
 32.008  MATH         L[2] = @DMM_Acc
 32.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
 32.010  ACC          V              L2U
 32.011  MEMC         0.7217V        0.0086U

 33.001  HEAD         -2 1.75 VPP, 1 kHz Sine
 33.002  TARGET       -p
 33.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1.75V
 33.004  IEEE2        OUTP[V @Chan]:STAT ON
 33.005  TARGET       -m
 33.006  CALL         Sub Read /DMM
 33.007  CALL         Sub Get Accuracy /DMM
 33.008  MATH         L[2] = @DMM_Acc
 33.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
 33.010  ACC          V              L2U
 33.011  MEMC         0.5052V        0.0064U

 34.001  HEAD         -2 1 VPP, 1 kHz Sine
 34.002  TARGET       -p
 34.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1V
 34.004  IEEE2        OUTP[V @Chan]:STAT ON
 34.005  TARGET       -m
 34.006  CALL         Sub Read /DMM
 34.007  CALL         Sub Get Accuracy /DMM
 34.008  MATH         L[2] = @DMM_Acc
 34.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
 34.010  ACC          V              L2U
 34.011  MEMC         0.2887V        0.0043U

 35.001  HEAD         -2 0.7 VPP, 1 kHz Sine
 35.002  TARGET       -p
 35.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.7V
 35.004  IEEE2        OUTP[V @Chan]:STAT ON
 35.005  TARGET       -m
 35.006  CALL         Sub Read /DMM
 35.007  CALL         Sub Get Accuracy /DMM
 35.008  MATH         L[2] = @DMM_Acc
 35.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
 35.010  ACC          V              L2U
 35.011  MEMC         0.2021V        0.0034U

 36.001  HEAD         -2 0.5 VPP, 1 kHz Sine
 36.002  TARGET       -p
 36.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.5V
 36.004  IEEE2        OUTP[V @Chan]:STAT ON
 36.005  TARGET       -m
 36.006  CALL         Sub Read /DMM
 36.007  CALL         Sub Get Accuracy /DMM
 36.008  MATH         L[2] = @DMM_Acc
 36.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
 36.010  ACC          V              L2U
 36.011  MEMC         0.1443V        0.0029U

 37.001  HEAD         -2 0.35 VPP, 1 kHz Sine
 37.002  TARGET       -p
 37.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.35V
 37.004  IEEE2        OUTP[V @Chan]:STAT ON
 37.005  TARGET       -m
 37.006  CALL         Sub Read /DMM
 37.007  CALL         Sub Get Accuracy /DMM
 37.008  MATH         L[2] = @DMM_Acc
 37.009  MATH         MEM = FMT(@DMM_Meas, "%.5f")
 37.010  ACC          V              L2U
 37.011  MEMC         0.10104V       0.09859U

 38.001  HEAD         -2 0.25 VPP, 1 kHz Sine
 38.002  TARGET       -p
 38.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.25V
 38.004  IEEE2        OUTP[V @Chan]:STAT ON
 38.005  TARGET       -m
 38.006  CALL         Sub Read /DMM
 38.007  CALL         Sub Get Accuracy /DMM
 38.008  MATH         L[2] = @DMM_Acc
 38.009  MATH         MEM = FMT(@DMM_Meas, "%.5f")
 38.010  ACC          V              L2U
 38.011  MEMC         0.07217V       0.00216U

 39.001  HEAD         -2 0.125 VPP, 1 kHz Sine
 39.002  TARGET       -p
 39.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.125V
 39.004  IEEE2        OUTP[V @Chan]:STAT ON
 39.005  TARGET       -m
 39.006  CALL         Sub Read /DMM
 39.007  CALL         Sub Get Accuracy /DMM
 39.008  MATH         L[2] = @DMM_Acc
 39.009  MATH         MEM = FMT(@DMM_Meas, "%.5f")
 39.010  ACC          V              L2U
 39.011  MEMC         0.03608V       0.00180U

 40.001  HEAD         -2 0.1 VPP, 1 kHz Sine
 40.002  TARGET       -p
 40.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.1V
 40.004  IEEE2        OUTP[V @Chan]:STAT ON
 40.005  TARGET       -m
 40.006  CALL         Sub Read /DMM
 40.007  CALL         Sub Get Accuracy /DMM
 40.008  MATH         L[2] = @DMM_Acc
 40.009  MATH         MEM = FMT(@DMM_Meas, "%.5f")
 40.010  ACC          V              L2U
 40.011  MEMC         0.02887V       0.00172U

 41.001  HEAD         -2 0.05 VPP, 1 kHz Sine
 41.002  TARGET       -p
 41.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.05V
 41.004  IEEE2        OUTP[V @Chan]:STAT ON
 41.005  TARGET       -m
 41.006  CALL         Sub Read /DMM
 41.007  CALL         Sub Get Accuracy /DMM
 41.008  MATH         L[2] = @DMM_Acc
 41.009  MATH         MEM = FMT(@DMM_Meas, "%.5f")
 41.010  ACC          V              L2U
 41.011  MEMC         0.01443V       0.00159U

 42.001  HEAD         -2
 42.002  HEAD
 42.003  IEEE2        OUTP[V @Chan]:STAT OFF
 42.004  CALL         Sub Reset /DMM
 42.005  END

 42.006  EVAL   Increment step number

# ============ Sub Tek AFG300 (1 yr) DC Voltage Acc VER IEEE /DMM ========

 43.001  LABEL        DCV

 43.002  IF           @Chan == 1
 43.003  RSLT         =
 43.004  HEAD         {DC Voltage Accuracy Test}, CH [V @Chan]
 43.005  ENDIF

 43.006  RSLT         =
 43.007  RSLT         =Channel [V @Chan]
 43.008  RSLT         =

 43.009  HEAD         -2 5 V Offset
 43.010  MATH         @DMM_Func = "DC_Voltage"
 43.011  TARGET       -p
 43.012  IEEE2        *RST
 43.013  CALL         Sub Reset /DMM
 43.014  CALL         Sub Setup /DMM
 43.015  IEEE2        SOUR[V @Chan]:FUNC:SHAP DC
 43.016  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:OFFS 5V
 43.017  IEEE2        OUTP[V @Chan]:STAT ON
 43.018  TARGET       -m
 43.019  CALL         Sub Read /DMM
 43.020  CALL         Sub Get Accuracy /DMM
 43.021  MATH         L[2] = @DMM_Acc
 43.022  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 43.023  ACC          V              L2U
 43.024  MEMC         5.000V         0.055U

 44.001  HEAD         -2 1 V Offset
 44.002  TARGET       -p
 44.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:OFFS 1V
 44.004  IEEE2        OUTP[V @Chan]:STAT ON
 44.005  TARGET       -m
 44.006  CALL         Sub Read /DMM
 44.007  CALL         Sub Get Accuracy /DMM
 44.008  MATH         L[2] = @DMM_Acc
 44.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 44.010  ACC          V              L2U
 44.011  MEMC         1.000V         0.015U

 45.001  HEAD         -2 0.5 V Offset
 45.002  TARGET       -p
 45.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:OFFS 0.5V
 45.004  IEEE2        OUTP[V @Chan]:STAT ON
 45.005  TARGET       -m
 45.006  CALL         Sub Read /DMM
 45.007  CALL         Sub Get Accuracy /DMM
 45.008  MATH         L[2] = @DMM_Acc
 45.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 45.010  ACC          V              L2U
 45.011  MEMC         0.500V         0.010U

 46.001  HEAD         -2 0.1 V Offset
 46.002  TARGET       -p
 46.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:OFFS 0.1V
 46.004  IEEE2        OUTP[V @Chan]:STAT ON
 46.005  TARGET       -m
 46.006  CALL         Sub Read /DMM
 46.007  CALL         Sub Get Accuracy /DMM
 46.008  MATH         L[2] = @DMM_Acc
 46.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 46.010  ACC          V              L2U
 46.011  MEMC         0.100V         0.006U

 47.001  HEAD         -2 0 V Offset
 47.002  TARGET       -p
 47.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:OFFS 0V
 47.004  IEEE2        OUTP[V @Chan]:STAT ON
 47.005  TARGET       -m
 47.006  CALL         Sub Read /DMM
 47.007  CALL         Sub Get Accuracy /DMM
 47.008  MATH         L[2] = @DMM_Acc
 47.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 47.010  ACC          V              L2U
 47.011  MEMC         0.000V         0.005U

 48.001  HEAD         -2 -0.1 V Offset
 48.002  TARGET       -p
 48.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:OFFS -0.1V
 48.004  IEEE2        OUTP[V @Chan]:STAT ON
 48.005  TARGET       -m
 48.006  CALL         Sub Read /DMM
 48.007  CALL         Sub Get Accuracy /DMM
 48.008  MATH         L[2] = @DMM_Acc
 48.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 48.010  ACC          V              L2U
 48.011  MEMC         -0.100V        0.006U

 49.001  HEAD         -2 -0.5 V Offset
 49.002  TARGET       -p
 49.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:OFFS -0.5V
 49.004  IEEE2        OUTP[V @Chan]:STAT ON
 49.005  TARGET       -m
 49.006  CALL         Sub Read /DMM
 49.007  CALL         Sub Get Accuracy /DMM
 49.008  MATH         L[2] = @DMM_Acc
 49.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 49.010  ACC          V              L2U
 49.011  MEMC         -0.500V        0.010U

 50.001  HEAD         -2 -1 V Offset
 50.002  TARGET       -p
 50.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:OFFS -1V
 50.004  IEEE2        OUTP[V @Chan]:STAT ON
 50.005  TARGET       -m
 50.006  CALL         Sub Read /DMM
 50.007  CALL         Sub Get Accuracy /DMM
 50.008  MATH         L[2] = @DMM_Acc
 50.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 50.010  ACC          V              L2U
 50.011  MEMC         -1.000V        0.015U

 51.001  HEAD         -2 -5 V Offset
 51.002  TARGET       -p
 51.003  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:OFFS -5V
 51.004  IEEE2        OUTP[V @Chan]:STAT ON
 51.005  TARGET       -m
 51.006  CALL         Sub Read /DMM
 51.007  CALL         Sub Get Accuracy /DMM
 51.008  MATH         L[2] = @DMM_Acc
 51.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 51.010  ACC          V              L2U
 51.011  MEMC         -5.000V        0.055U

 52.001  HEAD         -2
 52.002  HEAD
 52.003  IEEE2        OUTP[V @Chan]:STAT OFF
 52.004  CALL         Sub Reset /DMM
 52.005  END
