﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek AFG300 (1 yr) Frequency VER IEEE /LFCTR
DATE:                  2010-11-08 11:10:20
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       134
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        AFG 310, 320
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Initialize /LFCTR
#        Sub Reset /LFCTR
#        Sub Measure /LFCTR
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LFCTR]
  1.003  ENDIF

  1.004  CALL         Sub Initialize /LFCTR

  1.005  RSLT         =
  1.006  HEAD         {FREQUENCY ACCURACY TEST}
  1.007  HEAD         -2 Sine 16 MHz
  1.008  MATH         @LFCTR_ROSC     = "Int"
  1.009  MATH         @LFCTR_Func     = "FreqCh1"
  1.010  MATH         @LFCTR_Ch1Imp   = "LoZ"
  1.011  MATH         @LFCTR_Ch1Slope = "Pos"
  1.012  MATH         @LFCTR_Ch1Cpl   = "DC"
  1.013  MATH         @LFCTR_Ch1Attn  = "x1"
  1.014  TARGET       -p
  1.015  TSET         TDESC = Sine at 16 MHz
  1.016  IEEE2        *RST
  1.017  CALL         Sub Reset /LFCTR
  1.018  DISP         Make the following connection:
  1.018  DISP
  1.018  DISP         [32]   UUT              to    [V @LFCTR_DevName]
  1.018  DISP         [32]   CH[V @Chan] <--------> [V @LFCTR_Ch1]
  1.019  IEEE2        SOUR[V @Chan]:FUNC:SHAP SIN
  1.020  IEEE2        SOUR[V @Chan]:FREQ:CW 16MHz
  1.021  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1V
  1.022  IEEE2        OUTP[V @Chan]:STAT ON
  1.023  MATH         Freq = 16E+6
  1.024  MATH         FreqAcc = ACCV(@LFCTR_DevName, "Timebase", Freq)
  1.025  MATH         L[1] = (FreqAcc / Freq) * 100
  1.026  ACC          16.000000MHz   L1%
  1.027  TARGET       -m
  1.028  CALL         Sub Measure /LFCTR
  1.029  MATH         MEM = MEM / 1E+6
  1.030  MEMCX        16.000000MHz   0.000800U

  2.001  HEAD         -2 Sine 100 kHz
  2.002  TARGET       -p
  2.003  TSET         TDESC = Sine at 100 kHz
  2.004  IEEE2        SOUR[V @Chan]:FREQ:CW 100kHz
  2.005  IEEE2        OUTP[V @Chan]:STAT ON
  2.006  MATH         Freq = 100E+3
  2.007  MATH         FreqAcc = ACCV(@LFCTR_DevName, "Timebase", Freq)
  2.008  MATH         L[1] = (FreqAcc / Freq) * 100
  2.009  ACC          100.000kHz     L1%
  2.010  TARGET       -m
  2.011  CALL         Sub Measure /LFCTR
  2.012  MATH         MEM = MEM / 1E+3
  2.013  MEMCX        100.0000kHz    0.0050U

  3.001  HEAD         -2 Sine 1 kHz
  3.002  TARGET       -p
  3.003  TSET         TDESC = Sine at 1 kHz
  3.004  IEEE2        SOUR[V @Chan]:FREQ:CW 1kHz
  3.005  IEEE2        OUTP[V @Chan]:STAT ON
  3.006  MATH         Freq = 1000
  3.007  MATH         FreqAcc = ACCV(@LFCTR_DevName, "Timebase", Freq)
  3.008  MATH         L[1] = (FreqAcc / Freq) * 100
  3.009  ACC          1.000000kHz    L1%
  3.010  TARGET       -m
  3.011  CALL         Sub Measure /LFCTR
  3.012  MATH         MEM = MEM / 1E+3
  3.013  MEMCX        1.000000kHz    0.000050U

  4.001  HEAD         -2 Sine 1 Hz
  4.002  TARGET       -p
  4.003  TSET         TDESC = Sine at 1 Hz
  4.004  MATH         @LFCTR_Func = "PeriodCh1"
  4.005  IEEE2        SOUR[V @Chan]:FREQ:CW 1Hz
  4.006  IEEE2        OUTP[V @Chan]:STAT ON
  4.007  MATH         FreqAcc = 1 / ACCV(@LFCTR_DevName, "Timebase", 1)
  4.008  MATH         L[1] = (FreqAcc / Freq) * 100
  4.009  ACC          1.000000s      L1%
  4.010  TARGET       -m
  4.011  CALL         Sub Measure /LFCTR
  4.012  MEMCX        1.000000s      0.000050U

  5.001  HEAD         -2
  5.002  HEAD
  5.003  IEEE2        OUTP[V @Chan]:STAT OFF
  5.004  CALL         Sub Reset /LFCTR
  5.005  DISP         Remove the connection to UUT.
  5.006  END
